Skip to main content
PATCH

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Path Parameters

voiceAgentId
string<uuid>
required

ID of the voice agent.

Example:

"3f6c8a1e-2b4d-4e7f-9a0b-1c2d3e4f5a6b"

guardrailId
string<uuid>
required

ID of the guardrail.

Example:

"6e2b9c41-7d3a-4f58-9b12-c4d5e6f70812"

Body

application/json
isActive
boolean
required

true: on. false: off.

Response

Successful response: all of the agent's guardrails

success
boolean
Example:

true

message
string
Example:

"success"

data
object[]